/* Copyright Erno de Weerd
 * 2002
 * AirKnow@hotmail.com
 */

using System;
using System.Drawing;

namespace AirKnow.AL.Creatures
{
	public abstract class Creature
	{
		private int x = 0, y = 0;
		private bool running = false;
		private Color color;

		protected Creature()
		{
		}

		protected Creature(int x, int y, Color color)
		{
			this.X = x;
			this.Y = y;
			this.Color = color;
		}

		public virtual bool Running
		{
			get { return running; }
			set	{ running = value; }
		}

		public virtual int X
		{
			get { return x; }
			set	{ x = value; }
		}

		public virtual int Y
		{
			get { return y; }
			set	{ y = value; }
		}

		public virtual Color Color
		{
			get { return color; }
			set	{ color = value; }
		}
	}
}
