VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsAnt"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Public Enum AntDirection
    aup
    adown
    aleft
    aright
End Enum

Public X As Integer
Public Y As Integer
Public Oldx As Integer
Public Oldy As Integer
Public AntDir As AntDirection
Public HitSide As Boolean
Public MinX As Integer
Public MinY As Integer
Public MaxX As Integer
Public MaxY As Integer

Public Function Move()
    
    Oldx = X
    Oldy = Y
    
    
    'See what color I landed on and turn
    If arGrid(X, Y) = "0" Then
        'Current square is Black. So turn left
        Select Case AntDir
            Case aup
                AntDir = aleft
            Case aleft
                AntDir = adown
            Case adown
                AntDir = aright
            Case aright
                AntDir = aup
        End Select
    Else
        'Current square is White. So turn right
        Select Case AntDir
            Case aup
                AntDir = aright
            Case aright
                AntDir = adown
            Case adown
                AntDir = aleft
            Case aleft
                AntDir = aup
        End Select
    End If
    
    'Change the color of the current square
    If arGrid(X, Y) = "1" Then
        arGrid(X, Y) = "0"
    Else
        arGrid(X, Y) = "1"
    End If
    
    'Move forward
    Select Case AntDir
        Case aup
            If Y > MinY Then
                Y = Y - 1
            Else
                HitSide = True
            End If
        Case adown
            If Y < MaxY Then
                Y = Y + 1
            Else
                HitSide = True
            End If
        Case aleft
            If X > MinX Then
                X = X - 1
            Else
                HitSide = True
            End If
        Case aright
            If X < MaxX Then
                X = X + 1
            Else
                HitSide = True
            End If
    End Select
    
    
End Function


Private Sub Class_Initialize()
    HitSide = False
End Sub
