VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Object = "{831FDD16-0C5C-11D2-A9FC-0000F8754DA1}#2.0#0"; "MsComCtl.ocx"
Begin VB.Form frmMain 
   Caption         =   "Langton's Ant"
   ClientHeight    =   5445
   ClientLeft      =   2550
   ClientTop       =   1800
   ClientWidth     =   6840
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   5445
   ScaleWidth      =   6840
   Begin MSComctlLib.StatusBar sbStatus 
      Align           =   2  'Align Bottom
      Height          =   315
      Left            =   0
      TabIndex        =   4
      Top             =   5130
      Width           =   6840
      _ExtentX        =   12065
      _ExtentY        =   556
      _Version        =   393216
      BeginProperty Panels {8E3867A5-8586-11D1-B16A-00C0F0283628} 
         NumPanels       =   4
         BeginProperty Panel1 {8E3867AB-8586-11D1-B16A-00C0F0283628} 
            AutoSize        =   1
            Object.Width           =   2858
            Text            =   "Round 00000"
            TextSave        =   "Round 00000"
            Key             =   "Round"
            Object.ToolTipText     =   "Round Number"
         EndProperty
         BeginProperty Panel2 {8E3867AB-8586-11D1-B16A-00C0F0283628} 
            AutoSize        =   1
            Object.Width           =   2858
            Text            =   "Recording Off"
            TextSave        =   "Recording Off"
            Key             =   "Recording"
            Object.ToolTipText     =   "Recording Status"
         EndProperty
         BeginProperty Panel3 {8E3867AB-8586-11D1-B16A-00C0F0283628} 
            AutoSize        =   1
            Object.Width           =   2858
            Text            =   "Status"
            TextSave        =   "Status"
            Key             =   "Status"
            Object.ToolTipText     =   "Status Message"
         EndProperty
         BeginProperty Panel4 {8E3867AB-8586-11D1-B16A-00C0F0283628} 
            AutoSize        =   1
            Object.Width           =   2858
            Text            =   "Ant (0,0)"
            TextSave        =   "Ant (0,0)"
            Key             =   "Ant"
            Object.ToolTipText     =   "Ant Location"
         EndProperty
      EndProperty
   End
   Begin MSComDlg.CommonDialog cdbFiles 
      Left            =   4080
      Top             =   120
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.Timer tmrMoveAnt 
      Enabled         =   0   'False
      Interval        =   65535
      Left            =   3660
      Top             =   120
   End
   Begin VB.HScrollBar HScrollBar 
      Height          =   255
      Left            =   0
      TabIndex        =   2
      Top             =   2880
      Width           =   2895
   End
   Begin VB.VScrollBar VScrollBar 
      Height          =   2895
      Left            =   2880
      TabIndex        =   1
      Top             =   0
      Width           =   255
   End
   Begin VB.PictureBox picViewport 
      AutoRedraw      =   -1  'True
      Height          =   2880
      Left            =   0
      ScaleHeight     =   2820
      ScaleWidth      =   2820
      TabIndex        =   0
      Top             =   60
      Width           =   2880
   End
   Begin VB.Label lblTitle 
      Caption         =   "Lanton's Ant Simulation"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   24
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1635
      Left            =   1740
      TabIndex        =   3
      Top             =   1380
      Width           =   3855
   End
   Begin VB.Menu mnuFile 
      Caption         =   "&File"
      Begin VB.Menu mnuNew 
         Caption         =   "&New"
      End
      Begin VB.Menu mnuOpen 
         Caption         =   "&Open Simulation"
      End
      Begin VB.Menu mnuSave 
         Caption         =   "&Save Simulation"
      End
      Begin VB.Menu mnuSaveBmp 
         Caption         =   "S&ave Bitmap"
      End
      Begin VB.Menu mnuAviStart 
         Caption         =   "&Record Movie"
      End
      Begin VB.Menu mnuAviStop 
         Caption         =   "S&top Recording Move"
      End
      Begin VB.Menu mnuFileExit 
         Caption         =   "E&xit"
      End
   End
   Begin VB.Menu mnuScale 
      Caption         =   "&Scale"
      Begin VB.Menu mnuScaleZoom 
         Caption         =   "&Zoom"
         Shortcut        =   ^Z
      End
      Begin VB.Menu mnuScaleMag 
         Caption         =   "Full  Scale"
         Index           =   1
         Shortcut        =   ^F
      End
      Begin VB.Menu mnuScaleMag 
         Caption         =   "Magnify 1/2"
         Index           =   20
         Shortcut        =   ^{F2}
      End
      Begin VB.Menu mnuScaleMag 
         Caption         =   "Magnify 1/4"
         Index           =   40
         Shortcut        =   ^{F4}
      End
   End
   Begin VB.Menu Simulation 
      Caption         =   "&Simulation"
      Begin VB.Menu mnuStart 
         Caption         =   "&Start"
      End
      Begin VB.Menu mnuStop 
         Caption         =   "S&top"
      End
      Begin VB.Menu mnuShowViewPort 
         Caption         =   "&Show Viewport"
         Checked         =   -1  'True
      End
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
'"The Science of Discworld" talks about Langton's Ant.
' The idea is a tiny ant is sitting in the middle of a grid
' of squares that are either black or white. There are only
' three rules:
'
'- During each round, the ant moves forward onto the
'   next square.
'- When the ant steps on a square, it changes color from
'   black to white or vice versa.
'- When the ant steps on a white square, it turns right.
'   When the ant steps on a black square, it turns left.
'
'The contest is to build a Langton's Ant simulator.
' Possible features:
'
'- Start and stop the ant.
'- Display the grid at different scales
'   (in case the ant wanders far away).
'- Save the current situation including the grid and the
'   ant's position and direction.
'- Reload a situation and run from there.
'- Save an image of the grid.
'- Run displaying the round number without showing the grid
'   (for extra speed to run a lot of rounds).
'
'The ant shows three distinct types of behavior over time.
' To see the third type of behavior, you need to be able
' to run the ant for more than 10,000 rounds so be sure
' your program can run that long.
'


' Global max and min world coordinates
' (including margins).
Private DataXmin
Private DataXmax
Private DataYmin
Private DataYmax

' Set the min and max allowed width and height.
Private Const DataMinWid = 1
Private Const DataMinHgt = 1
Private DataMaxWid
Private DataMaxHgt

' The aspect ratio of the viewport.
Private VAspect As Single

' Current world window bounds.
Private Wxmin As Single
Private Wxmax As Single
Private Wymin As Single
Private Wymax As Single

' Prevent change events when we are adjusting the
' scroll bars.
Private IgnoreSbarChange As Boolean

' Variables used for zooming.
Private Enum DrawingModes
    mode_None
    mode_StartZoom
    mode_Zooming
End Enum
    
Private DrawingMode As DrawingModes

Private StartX As Single
Private StartY As Single
Private LastX As Single
Private LastY As Single
Private OldMode As Integer

Dim Ant As New clsAnt
Dim lngRound As Long

Private Sub Form_Load()
    'Enable menu options
    
    'File
    Me.mnuNew.Enabled = True
    Me.mnuOpen.Enabled = True
    Me.mnuSaveBmp.Enabled = False
    Me.mnuAviStart.Enabled = False
    Me.mnuAviStop.Enabled = False
    Me.mnuSave.Enabled = False
    Me.mnuFileExit.Enabled = True
    'Scale
    Me.mnuScaleZoom.Enabled = False
    Me.mnuScaleMag(1).Enabled = False
    Me.mnuScaleMag(20).Enabled = False
    Me.mnuScaleMag(40).Enabled = False
    'Simulation
    Me.mnuStart.Enabled = False
    Me.mnuStop.Enabled = False
    Me.mnuShowViewPort.Enabled = False

    Me.picViewport.Visible = False
    Me.lblTitle.Visible = True
    Me.tmrMoveAnt.Enabled = False
    Me.sbStatus.Panels("Recording") = "Recording Off"
    Me.sbStatus.Panels("Status") = "Not Running"
    strFrameBmp = App.Path & "\tmp.bmp"
End Sub

Private Sub Form_Resize()
Dim x As Single
Dim y As Single
Dim wid As Single
Dim hgt As Single

    ' Fit the viewport to the window.
    x = picViewport.left
    y = picViewport.top
    wid = ScaleWidth - 2 * x - VScrollBar.Width
    hgt = ScaleHeight - 2 * y - HScrollBar.Height
    picViewport.Move x, y, wid, hgt
    VAspect = hgt / wid

    ' Place the scroll bars next to the viewport.
    x = picViewport.left + picViewport.Width + 10
    y = picViewport.top
    wid = VScrollBar.Width
    hgt = picViewport.Height
    VScrollBar.Move x, y, wid, hgt

    x = picViewport.left
    y = picViewport.top + picViewport.Height + 10
    wid = picViewport.Width
    hgt = HScrollBar.Height
    HScrollBar.Move x, y, wid, hgt

    ' Set the new world window bounds.
    SetWorldWindow
End Sub

'//Zoom functions
' End a zoom operation early. This happens if the
' user starts a zoom and the selects another menu
' item instead of doing the zoom.
Private Sub StopZoom()
    If DrawingMode <> mode_StartZoom Then Exit Sub
    DrawingMode = mode_None

    picViewport.DrawMode = OldMode
    picViewport.MousePointer = vbDefault
End Sub

' If we are zooming, continue the rubberband box.
Private Sub picViewport_MouseMove(Button As Integer, Shift As Integer, x As Single, y As Single)
    If DrawingMode <> mode_Zooming Then Exit Sub

    ' Erase the old box.
    picViewport.Line (StartX, StartY)-(LastX, LastY), , B
    
    ' Draw the new box.
    LastX = x
    LastY = y
    picViewport.Line (StartX, StartY)-(LastX, LastY), , B
End Sub

' If we are zooming, finish the rubberband box.
Private Sub picViewport_MouseUp(Button As Integer, Shift As Integer, x As Single, y As Single)
Dim wid As Single
Dim hgt As Single
Dim mid As Single

    If DrawingMode <> mode_Zooming Then Exit Sub
    DrawingMode = mode_None

    ' Erase the old box.
    picViewport.Line (StartX, StartY)-(LastX, LastY), , B
    LastX = x
    LastY = y
    
    ' We're done drawing for this rubberband box.
    picViewport.DrawMode = OldMode
    picViewport.MousePointer = vbDefault

    ' Set the new world window bounds.
    If StartX > LastX Then
        Wxmin = LastX
        Wxmax = StartX
    Else
        Wxmin = StartX
        Wxmax = LastX
    End If
    If StartY > LastY Then
        Wymin = LastY
        Wymax = StartY
    Else
        Wymin = StartY
        Wymax = LastY
    End If

    ' Set the new world window bounds.
    SetWorldWindow
End Sub

' If we are zooming, start the rubberband box.
Private Sub picViewport_MouseDown(Button As Integer, Shift As Integer, x As Single, y As Single)
    If DrawingMode <> mode_StartZoom Then Exit Sub
    DrawingMode = mode_Zooming

    OldMode = picViewport.DrawMode
    picViewport.DrawMode = vbInvert
    
    StartX = x
    StartY = y
    LastX = x
    LastY = y
    picViewport.Line (StartX, StartY)-(LastX, LastY), , B
End Sub

' Change the level of magnification.
Private Sub SetScaleFactor(fact As Single)
Dim wid As Single
Dim hgt As Single
Dim mid As Single

    fact = 1 / fact

    ' Compute the new world window size.
    wid = fact * (Wxmax - Wxmin)
    hgt = fact * (Wymax - Wymin)

    ' Center the new world window over the old.
    mid = (Wxmax + Wxmin) / 2
    Wxmin = mid - wid / 2
    Wxmax = mid + wid / 2

    mid = (Wymax + Wymin) / 2
    Wymin = mid - hgt / 2
    Wymax = mid + hgt / 2

    ' Set the new world window bounds.
    SetWorldWindow
End Sub
' Adjust the world window so it is not too big,
' too small, off to one side, or of the wrong
' aspect ratio. Then map the world window to the
' viewport and force the viewport to repaint.
Private Sub SetWorldWindow()
Dim wid As Single
Dim hgt As Single
Dim xmid As Single
Dim ymid As Single
Dim aspect As Single

    ' Find the size and center of the world window.
    wid = Wxmax - Wxmin
    hgt = Wymax - Wymin
    xmid = (Wxmax + Wxmin) / 2
    ymid = (Wymax + Wymin) / 2

    ' Make sure we're not too big or too small.
    If wid > DataMaxWid Then
        wid = DataMaxWid
    ElseIf wid < DataMinWid Then
        wid = DataMinWid
    End If
    If hgt > DataMaxHgt Then
        hgt = DataMaxHgt
    ElseIf hgt < DataMinHgt Then
        hgt = DataMinHgt
    End If

    ' Make the aspect ratio match the viewport
    ' aspect ratio, VAspect (set in Form_Resize).
    aspect = hgt / wid
    If aspect > VAspect Then
        ' Too tall and thin. Make it wider.
        wid = hgt / VAspect
    Else
        ' Too short and wide. Make it taller.
        hgt = wid * VAspect
    End If

    ' Compute the new coordinates
    Wxmin = xmid - wid / 2
    Wxmax = xmid + wid / 2
    Wymin = ymid - hgt / 2
    Wymax = ymid + hgt / 2

    ' See if we're off to one side.
    If wid > DataMaxWid Then
        ' We're wider than the picture. Center.
        xmid = (DataXmax + DataXmin) / 2
        Wxmin = xmid - wid / 2
        Wxmax = xmid + wid / 2
    Else
        ' Else see if we're too far to one side.
        If Wxmin < DataXmin And Wxmax < DataXmax Then
            ' Adjust to the right.
            Wxmax = Wxmax + DataXmin - Wxmin
            Wxmin = DataXmin
        End If
        If Wxmax > DataXmax And Wxmin > DataXmin Then
            ' Adjust to the left.
            Wxmin = Wxmin + DataXmax - Wxmax
            Wxmax = DataXmax
        End If
    End If
    If hgt > DataMaxHgt Then
        ' We're taller than the picture. Shrink.
        ymid = (DataYmax + DataYmin) / 2
        Wymin = ymid - hgt / 2
        Wymax = ymid + hgt / 2
    Else
        ' See if we're too far to top or bottom.
        If Wymin < DataYmin And Wymax < DataYmax Then
            ' Adjust downward.
            Wymax = Wymax + DataYmin - Wymin
            Wymin = DataYmin
        End If
        If Wymax > DataYmax And Wymin > DataYmin Then
            ' Adjust upward.
            Wymin = Wymin + DataYmax - Wymax
            Wymax = DataYmax
        End If
    End If

    ' Map the world window to the viewport.
    picViewport.ScaleLeft = Wxmin
    picViewport.ScaleTop = Wymax
    picViewport.ScaleWidth = Wxmax - Wxmin
    picViewport.ScaleHeight = Wymin - Wymax

    ' Force the viewport to repaint.
    picViewport.Refresh

    ' Reset the scroll bars.
    IgnoreSbarChange = True
    HScrollBar.Visible = (wid < DataXmax - DataXmin)
    VScrollBar.Visible = (hgt < DataYmax - DataYmin)

    ' The values of the scroll bars will be where
    ' the top/left of the world window should be.
    VScrollBar.Min = 100 * (DataYmax)
    VScrollBar.Max = 100 * (DataYmin + hgt)
    HScrollBar.Min = 100 * (DataXmin)
    HScrollBar.Max = 100 * (DataXmax - wid)

    ' SmallChange moves the world window 1/10
    ' of its width/height.
    VScrollBar.SmallChange = 100 * (hgt / 10)
    VScrollBar.LargeChange = 100 * hgt
    HScrollBar.SmallChange = 100 * (wid / 10)
    HScrollBar.LargeChange = 100 * wid

    ' Set the current scroll bar values.
    VScrollBar.Value = 100 * Wymax
    HScrollBar.Value = 100 * Wxmin

    IgnoreSbarChange = False
End Sub

' Return to the default magnification scale.
Private Sub SetScaleFull()
    ' Reset the world window coordinates.
    Wxmin = DataXmin
    Wxmax = DataXmax
    Wymin = DataYmin
    Wymax = DataYmax

    ' Set the new world window bounds.
    SetWorldWindow
End Sub

' Move the world window.
Private Sub HScrollBar_Change()
    If IgnoreSbarChange Then Exit Sub
    HScrollBarChanged
End Sub

' Move the world window.
Private Sub VScrollBar_Change()
    If IgnoreSbarChange Then Exit Sub
    VScrollBarChanged
End Sub

' The vertical scroll bar has been moved.
' Adjust the world window.
Private Sub VScrollBarChanged()
Dim hgt As Single

    hgt = Wymax - Wymin
    Wymax = VScrollBar.Value / 100
    Wymin = Wymax - hgt
    
    ' Remap the world window.
    IgnoreSbarChange = True
    SetWorldWindow
    IgnoreSbarChange = False
End Sub
' The horizontal scroll bar has been moved.
' Adjust the world window.
Private Sub HScrollBarChanged()
Dim wid As Single
    
    wid = Wxmax - Wxmin
    Wxmin = HScrollBar.Value / 100
    Wxmax = Wxmin + wid
    
    ' Remap the world window.
    IgnoreSbarChange = True
    SetWorldWindow
    IgnoreSbarChange = False
End Sub

Private Sub picViewport_Paint()
    RefreshGrid
End Sub

' *********************************************
' ************* Menu functions ****************
' *********************************************

'File Menu
Private Sub mnuNew_Click()
    frmStart.Show vbModal, Me
    
    'See if user clicked cancel
    If frmStart.blnRunning = False Then Exit Sub
    
    Me.sbStatus.Panels("Status") = "Starting..."
    DataXmin = 0
    DataYmin = 0
    DataXmax = Val(frmStart.txtX.Text)
    DataYmax = Val(frmStart.txtY.Text)
    
    DataMaxWid = DataXmax - DataXmin
    DataMaxHgt = DataYmax - DataYmin
    
    lngRound = 0
    ' Start at full scale.
    Wxmin = DataXmin
    Wxmax = DataXmax
    Wymin = DataYmin
    Wymax = DataYmax
    
    'Initialize the ant
    Ant.x = DataXmax / 2
    Ant.y = DataYmax / 2
    Ant.AntDir = aup
    Ant.MinX = DataXmin
    Ant.MinY = DataYmin
    Ant.MaxX = DataXmax
    Ant.MaxY = DataYmax

    'Create the board
    Dim x As Integer
    Dim y As Integer
    Dim i As Integer
    
    Select Case frmStart.cmbBrdType.Text
        Case "Checker"
            For x = 0 To DataXmax
                For y = 0 To DataYmax
                    If (x + y) / 2 = Int((x + y) / 2) Then
                        arGrid(x, y) = "1"
                    Else
                        arGrid(x, y) = "0"
                    End If
                Next
            Next
        Case "Random"
            For x = 0 To DataXmax
                For y = 0 To DataYmax
                    arGrid(x, y) = "1"
                Next
            Next
            Randomize Timer
            For i = 1 To (DataXmax * DataYmax)
                x = DataXmax * Rnd
                y = DataYmax * Rnd
                arGrid(x, y) = "0"
            Next
        Case Else
            'All White
            For x = 0 To DataXmax
                For y = 0 To DataYmax
                    arGrid(x, y) = "1"
                Next
            Next
    End Select
    
    If Me.mnuShowViewPort.Checked = True Then
        Me.picViewport.Visible = True
        Me.lblTitle.Visible = False
    Else
        Me.picViewport.Visible = False
        Me.lblTitle.Visible = True
    End If
    SetScaleFull
    If mnuShowViewPort.Checked = True Then
        Call RefreshGrid
    End If
    'Enable menu options
    
    'File
    Me.mnuNew.Enabled = True
    Me.mnuOpen.Enabled = True
    Me.mnuSaveBmp.Enabled = True
    Me.mnuAviStart.Enabled = True
    Me.mnuAviStop.Enabled = False
    Me.mnuSave.Enabled = True
    'Scale
    Me.mnuScaleZoom.Enabled = True
    Me.mnuScaleMag(1).Enabled = True
    Me.mnuScaleMag(20).Enabled = True
    Me.mnuScaleMag(40).Enabled = True
    'Simulation
    Me.mnuStart.Enabled = True
    Me.mnuStop.Enabled = True
    Me.mnuShowViewPort.Enabled = True
    
    Me.sbStatus.Panels("Status") = "Ready"
    'Start the timer
    Me.tmrMoveAnt.Interval = (3000 - frmStart.sldSpeed.Value) + 1
    Me.tmrMoveAnt.Enabled = False
    
End Sub

Private Sub mnuOpen_Click()
    Dim LoadFile As Integer
    Dim LineIn As String
    Dim strParm As String
    Dim strVal As String
    Dim x As Integer
    Dim y As Integer
    Dim blnTmrState As Boolean
        
    On Error GoTo errout
    'Save timer state
    blnTmrState = Me.tmrMoveAnt.Enabled
    Me.tmrMoveAnt.Enabled = False
    
    Me.sbStatus.Panels("Status") = "Loading..."
    cdbFiles.CancelError = True
    cdbFiles.Filter = "All Files (*.*)|*.*| Ant File (*.ant)| *.ant"
    cdbFiles.FilterIndex = 2
    cdbFiles.InitDir = App.Path
    cdbFiles.ShowOpen
    LoadFile = FreeFile
    Open cdbFiles.filename For Input As LoadFile
    While Not EOF(LoadFile)
        Line Input #LoadFile, LineIn
        strParm = left(LineIn, InStr(1, LineIn, "=", vbTextCompare) - 1)
        strVal = right(LineIn, Len(LineIn) - InStr(1, LineIn, "=", vbTextCompare))
        Select Case strParm
            Case "AntDir"
                Ant.AntDir = Val(strVal)
            Case "AntHitSide"
                Ant.HitSide = strVal
            Case "AntMaxX"
                Ant.MaxX = strVal
            Case "AntMaxY"
                Ant.MaxY = strVal
            Case "AntMinX"
                Ant.MinX = strVal
            Case "AntMinY"
                Ant.MinY = strVal
            Case "AntX"
                Ant.x = strVal
            Case "AntY"
                Ant.y = strVal
            Case "SimSpeed"
                frmStart.sldSpeed.Value = strVal
            Case "Round"
                lngRound = strVal
            Case "BoardX"
                frmStart.txtX.Text = strVal
                DataXmin = 0
                DataXmax = Val(strVal)
                DataMaxWid = DataXmax - DataXmin
                Wxmin = DataXmin
                Wxmax = DataXmax
            Case "BoardY"
                frmStart.txtY.Text = strVal
                DataYmin = 0
                DataYmax = Val(strVal)
                DataMaxHgt = DataYmax - DataYmin
                Wymin = DataYmin
                Wymax = DataYmax
            Case "BoardData"
                For y = DataYmin To DataYmax
                    Line Input #LoadFile, LineIn
                    For x = DataXmin To DataXmax
                        arGrid(x, y) = mid(LineIn, x + 1, 1)
                    Next
                Next
            Case Else
                'Invalid parameter
        End Select
        
    Wend
    Close LoadFile
    
    If Me.mnuShowViewPort.Checked = True Then
        Me.picViewport.Visible = True
        Me.lblTitle.Visible = False
    Else
        Me.picViewport.Visible = False
        Me.lblTitle.Visible = True
    End If
    SetScaleFull
    If mnuShowViewPort.Checked = True Then
        Call RefreshGrid
    End If
    
    'Enable menu options
    
    'File
    Me.mnuNew.Enabled = True
    Me.mnuOpen.Enabled = True
    Me.mnuSaveBmp.Enabled = True
    Me.mnuAviStart.Enabled = True
    Me.mnuAviStop.Enabled = False
    Me.mnuSave.Enabled = True
    'Scale
    Me.mnuScaleZoom.Enabled = True
    Me.mnuScaleMag(1).Enabled = True
    Me.mnuScaleMag(20).Enabled = True
    Me.mnuScaleMag(40).Enabled = True
    'Simulation
    Me.mnuStart.Enabled = True
    Me.mnuStop.Enabled = True
    Me.mnuShowViewPort.Enabled = True
    
    Me.sbStatus.Panels("Status") = "Ready"
    
'    'Start the timer
    Me.tmrMoveAnt.Interval = (3000 - frmStart.sldSpeed.Value) + 1
    Me.tmrMoveAnt.Enabled = False
    
    On Error GoTo 0
    Exit Sub
errout:
MsgBox "Error loading file " & Err.Number & ":" & Err.Description
'Restore timer state
Me.tmrMoveAnt.Enabled = blnTmrState
Me.sbStatus.Panels("Status") = "Error loading"
End Sub

Private Sub mnuSave_Click()
    Dim SaveFile As Integer
    Dim strTmpBoard As String
    Dim x As Integer
    Dim y As Integer
    Dim blnTmrState As Boolean
    
    On Error GoTo errout
    'Save timer state
    blnTmrState = Me.tmrMoveAnt.Enabled
    Me.tmrMoveAnt.Enabled = False
    Me.sbStatus.Panels("Status") = "Saving..."
    
    cdbFiles.CancelError = True
    cdbFiles.filename = cdlOFNHideReadOnly
    cdbFiles.Filter = "All Files (*.*)|*.*| Ant File (*.ant)| *.ant"
    cdbFiles.FilterIndex = 2
    cdbFiles.InitDir = App.Path
    cdbFiles.filename = "untitled.ant"
    cdbFiles.ShowSave
    SaveFile = FreeFile
    'Write the data out
    Open cdbFiles.filename For Output As SaveFile
    'Ant data
    Print #SaveFile, "AntDir=" & Ant.AntDir
    Print #SaveFile, "AntHitSide=" & Ant.HitSide
    Print #SaveFile, "AntMaxX=" & Ant.MaxX
    Print #SaveFile, "AntMaxY=" & Ant.MaxY
    Print #SaveFile, "AntMinX=" & Ant.MinX
    Print #SaveFile, "AntMinY=" & Ant.MinY
    Print #SaveFile, "AntX=" & Ant.x
    Print #SaveFile, "AntY=" & Ant.y
    'Sim Speed
    Print #SaveFile, "SimSpeed=" & frmStart.sldSpeed.Value
    'Round
    Print #SaveFile, "Round=" & lngRound
    'Board dim
    Print #SaveFile, "BoardX=" & frmStart.txtX.Text
    Print #SaveFile, "BoardY=" & frmStart.txtY.Text
    'Board data
    Print #SaveFile, "BoardData="
    For y = DataYmin To DataYmax
        strTmpBoard = ""
        For x = DataXmin To DataXmax
            strTmpBoard = strTmpBoard & arGrid(x, y)
        Next
        Print #SaveFile, strTmpBoard
    Next
    Close SaveFile
    
    'Restore timer state
    Me.tmrMoveAnt.Enabled = blnTmrState
    Me.sbStatus.Panels("Status") = "Ready"
    On Error GoTo 0
    Exit Sub
errout:
Me.sbStatus.Panels("Status") = "Error saving"
End Sub

Private Sub mnuSaveBmp_Click()
    Dim blnTmrState As Boolean
    
    'Save timer state
    blnTmrState = Me.tmrMoveAnt.Enabled
    Me.tmrMoveAnt.Enabled = False
    
    On Error GoTo errout
    cdbFiles.CancelError = True
    cdbFiles.filename = cdlOFNHideReadOnly
    cdbFiles.Filter = "All Files (*.*)|*.*| BMP File (*.bmp)| *.bmp"
    cdbFiles.FilterIndex = 2
    cdbFiles.InitDir = App.Path
    cdbFiles.filename = "untitled.bmp"
    cdbFiles.ShowSave
    SavePicture Me.picViewport.Image, cdbFiles.filename
    
    'Restore timer state
    Me.tmrMoveAnt.Enabled = blnTmrState
    On Error GoTo 0
    Exit Sub
errout:
    MsgBox "Error saveing picture " & Err.Number & ":" & Err.Description, vbCritical, "Ant Problems"
    Me.sbStatus.Panels("Status") = "Error saving"
End Sub

Private Sub mnuAviStart_Click()
    Dim blnTmrState As Boolean
    
    'Save timer state
    blnTmrState = Me.tmrMoveAnt.Enabled
    Me.tmrMoveAnt.Enabled = False

    frmAvi.Show vbModal, Me
    If bAviOpen Then
        Me.mnuAviStart.Enabled = False
        Me.mnuAviStop.Enabled = True
        Me.sbStatus.Panels("Recording") = "Recording On"
    Else
        Me.mnuAviStart.Enabled = True
        Me.mnuAviStop.Enabled = False
        Me.sbStatus.Panels("Recording") = "Recording Off"
    End If
    'Restore timer state
    Me.tmrMoveAnt.Enabled = blnTmrState
End Sub

Private Sub mnuAviStop_Click()
    Dim blnTmrState As Boolean
    
    'Save timer state
    blnTmrState = Me.tmrMoveAnt.Enabled
    Me.tmrMoveAnt.Enabled = False

    If CloseAvi() Then
        Me.mnuAviStart.Enabled = True
        Me.mnuAviStop.Enabled = False
        Me.sbStatus.Panels("Recording") = "Recording Off"
        MsgBox "Movie file closed", vbOKOnly, "Movie File"
    Else
        MsgBox "Error closing movie file", vbCritical, "Ant Problems"
    End If
    
    'Restore timer state
    Me.tmrMoveAnt.Enabled = blnTmrState
End Sub

Private Sub mnuFileExit_Click()
    StopZoom    ' If we're zooming, stop it.
    
    Unload Me
End Sub

' ********************************
' ******** Scale Menu ************
' ********************************
' Change the level of magnification.
Private Sub mnuScaleMag_Click(Index As Integer)
    StopZoom    ' If we're zooming, stop it.
    
    If Index = 1 Then
        ' Return to full scale.
        SetScaleFull
    ElseIf Index < 10 Then
        ' Magnify by the indicated amount.
        SetScaleFactor CSng(Index)
    Else
        ' Zoom out by 1/(Index \ 10).
        SetScaleFactor 1 / (Index \ 10)
    End If
End Sub

' Allow the user to select an area to zoom in on.
Private Sub mnuScaleZoom_Click()
    ' Enable zooming.
    picViewport.MousePointer = vbCrosshair
    DrawingMode = mode_StartZoom
End Sub


'Simulation Menu
Private Sub mnuStart_Click()
    Me.tmrMoveAnt.Enabled = True
    Me.tmrMoveAnt.Interval = (3000 - frmStart.sldSpeed.Value) + 1
    Me.sbStatus.Panels("Status") = "Running"
End Sub

Private Sub mnuStop_Click()
    Me.tmrMoveAnt.Enabled = False
    Me.sbStatus.Panels("Status") = "Stopped"
End Sub
Private Sub mnuShowViewPort_Click()
    Me.mnuShowViewPort.Checked = Not Me.mnuShowViewPort.Checked
    If mnuShowViewPort.Checked = True Then
        Me.picViewport.Visible = True
        Me.lblTitle.Visible = False
        Me.tmrMoveAnt.Interval = (3000 - frmStart.sldSpeed.Value) + 1
        Call RefreshGrid
    Else
        Me.picViewport.Visible = False
        Me.tmrMoveAnt.Interval = 1
        Me.lblTitle.Visible = True
    End If
    
End Sub

' **********************************************
' ************ Update ant and grid *************
' **********************************************
Private Sub tmrMoveAnt_Timer()
    lngRound = lngRound + 1
    Me.sbStatus.Panels("Round") = "Round " & Format(lngRound, "00000")
    Me.sbStatus.Panels("Ant") = "Ant (" & Format(Ant.x, "000") & "," & Format(Ant.y, "000") & ")"
    Ant.Move
    If mnuShowViewPort.Checked = True Or bAviOpen Then
        Call RefreshGrid
    End If
    If bAviOpen Then
        'Add a frame to it
        SavePicture frmMain.picViewport.Image, strFrameBmp
        If AddFrame(strFrameBmp) = 0 Then
            'frame was added
        Else
            'an error happend
        End If
    End If
    If Ant.HitSide Then
        Call mnuStop_Click
        MsgBox "The Ant has gone off of the side of the board", vbOKOnly, "Ant Problems"
    End If

End Sub

''Draw Grid
Private Sub RefreshGrid()
    Dim x As Integer
    Dim y As Integer
    For y = DataYmin To DataYmax
        For x = DataXmin To DataXmax
            If x = Ant.x And y = Ant.y Then
                'Mark ant location
                Call SetCell(x, y, "X")
            Else
                Call SetCell(x, y, arGrid(x, y))
            End If
        Next
    Next
End Sub
Private Sub SetCell(x As Integer, y As Integer, strCell)
    Dim x1 As Long
    Dim y1 As Long
    Dim x2 As Long
    Dim y2 As Long
    Dim strHrMode As String
    Dim lngBlkClr As Long
    Dim strHours As String
    
    Select Case strCell
        Case "1"
            strHrMode = "1"
            lngBlkClr = RGB(0, 0, 255)
        Case "0"
            strHrMode = "0"
            lngBlkClr = RGB(255, 255, 255)
        Case "X"
            strHrMode = "0"
            lngBlkClr = RGB(255, 0, 0)
    End Select
    x1 = y
    y1 = x
    x2 = x1 + 1
    y2 = y1 + 1
    Me.picViewport.Line (x1, y1)-(x2, y2), lngBlkClr, BF
End Sub


